Package graph

## Class GraphElement

- java.lang.Object
- - graph.GraphElement

- All Implemented Interfaces:
    `Comparable<GraphElement>`
  Direct Known Subclasses:
    `Kante`, `Knoten`

      public abstract class GraphElement
      extends Object
      implements Comparable<GraphElement>

  Die Klasse GraphElement ist eine Oberklasse von Knoten und Kanten. Sie ist nur für die interne Verarbeitung wichtig.
  Version:
    v1.1
  Author:
    Thomas Schaller

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GraphElement()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract int` | `compareTo​(GraphElement e)` |
    `abstract String` | `getStatus()` |
    `abstract void` | `setStatus​(String status)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphElement

          public GraphElement()

  - ### Method Detail

    - #### compareTo

          public abstract int compareTo​(GraphElement e)

      Specified by:
        `compareTo` in interface `Comparable<GraphElement>`

    - #### getStatus

          public abstract String getStatus()

    - #### setStatus

          public abstract void setStatus​(String status)